function dbinfo = setup_dbinfo(rawdir, last_ensinfo, params)

rawfile = fullfile(rawdir, [last_ensinfo.rawfilebase, '.raw']); 

data = read(params.instclass, rawfile, 'yearbase', params.yearbase, ...
            'ilist', 1);

data.config.tr_pressure          = data.config.tr_pressure + params.ducer_depth;
data.depth                       = data.config.tr_pressure + data.depth;
NC                               = data.config.ncells;
data.ens_threshold               = 0;
data.ev_threshold                = params.editcfg.err_cutoff;
data.top_ref_bin                 = params.ilayer(1);
data.bot_ref_bin                 = params.ilayer(end);
config1                          = mk_config1(data);
c1_index                         =  config1_ind;
config1(c1_index.avg_interval)   = params.interval;
config1(c1_index.hd_offset)      = params.h_align;
config1(c1_index.heading_bias)   = 0;  %% deal with this in h_align.
access                           = mk_access(data);    % Doesn't change.


dbinfo.config1 = config1;
dbinfo.access = access;
dbinfo.depth = data.depth;